Bug 55610 - unhandled exception in anconda
unhandled exception in anconda
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.2
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
none
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-02 16:22 EST by Chip Nayak
Modified: 2007-04-18 12:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-10 02:50:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chip Nayak 2001-11-02 16:22:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.9-6 i586)

Description of problem:
Anaconda crashes  with unhandled exception in text mode upgrade of an
existing RH 7.1 system.

Traceback (innermost last):
File "/usr/bin/anaconda", line 620 in ?
intf.run (id, dispatch, configFileDate)
File "/usr/lib/anaconda/text.py", line 408, in run dispatch.gotoNext().

Unable to upgarde RH 7.1.
Source image is downloaded RH7.2 iso images, md5sum matches.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot from CD
2. choose text mode install/upgrade
3. choose no customization when prompted about installed rpm packages.
	

Actual Results:  Anaconda crashed with unhandles exception. upgrade
aborted.

Expected Results:  Upgrade to proceed.

Additional info:

Information saved on floppy by anaconda after crash.

Traceback (innermost last):
  File "/usr/bin/anaconda", line 620, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/text.py", line 408, in run
    dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 143, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 208, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/upgrade.py", line 273, in upgradeFindPackages
    method.mergeFullHeaders(id.hdList)
  File "/usr/lib/anaconda/image.py", line 26, in mergeFullHeaders
    hdlist.mergeFullHeaders(self.tree + "/RedHat/base/hdlist2")
  File "/usr/lib/anaconda/comps.py", line 161, in mergeFullHeaders
    rpm.mergeHeaderListFromFD(self.hdlist, fd, 1000004)
rpm.error: match tag mismatch

Local variables in innermost frame:
self: <comps.HeaderListFromFile instance at 845e928>
file: /mnt/source/RedHat/base/hdlist2
fd: 29


Package Group selection status:
Base: 1
Printing Support: 1
Classic X Window System: 1
X Window System: 1
Laptop Support: 0
Spelling: 0
GNOME: 1
KDE: 0
Sound and Multimedia Support: 1
Network Support: 1
Dialup Support: 1
Messaging and Web Tools: 1
Graphics and Image Manipulation: 0
Network Server: 0
News Server: 0
NFS File Server: 0
Windows File Server: 0
Anonymous FTP Server: 0
SQL Database Server: 0
Web Server: 0
Router / Firewall: 0
DNS Name Server: 0
Network Managed Workstation: 0
Authoring and Publishing: 0
Emacs: 0
Utilities: 0
Legacy Application Support: 0
Software Development: 0
Kernel Development: 0
Windows Compatibility / Interoperability: 0
Games and Entertainment: 0
Everything Include: 0
Workstation Common: 0
Server: 0
Everything: 0

...
Comment 1 Brent Fox 2001-11-03 10:11:55 EST
Can you attach the rest of the debug output?  I really need to see the
/tmp/syslog part of it.
Comment 2 Chip Nayak 2001-11-10 02:50:27 EST
My apology. I had to install 7.2 fresh instead of an upgrade and restored all 
user data to meet a dead-line. 7.2 is working great. 

Thanks.
Best Regards.
-- Chip
Comment 3 Brent Fox 2001-11-13 15:27:01 EST
Ok.  I'm glad things are working now.

Note You need to log in before you can comment on or make changes to this bug.